## linux-grsec 4.9.13

=== Makefile ===
VERSION = 4
PATCHLEVEL = 9
SUBLEVEL = 13
EXTRAVERSION =
NAME = Roaring Lionus

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(words $(subst :, ,$(CURDIR))), 1)
  $(error main directory cannot contain spaces nor colons)
endif

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make:
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
PYTHON		= python
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
NOSTDINC_FLAGS  =
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
LDFLAGS_vmlinux =
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im -Wno-maybe-uninitialized
CFLAGS_KCOV	:= $(call cc-option,-fsanitize-coverage=trace-pc,)


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-I$(objtree)/include/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated \

=== debian/changelog ===
linux-grsec (4.9.13-1+grsec201703052141+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 15 Mar 2017 11:15:44 +0100

linux-grsec (4.9.13-1+grsec201703052141+1) unstable; urgency=medium

  * Update grsecurity patch to 3.1-4.9.13-201703052141.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 08 Mar 2017 16:17:40 +0100

linux-grsec (4.9.13-1+grsec201702270729+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 03 Mar 2017 11:28:03 +0100

linux-grsec (4.9.13-1+grsec201702270729+1) unstable; urgency=medium

  * Pull src:linux changes up to 4.9.13-1.
  * Update grsecurity to 3.1-4.9.13-201702270729.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 27 Feb 2017 23:11:57 +0100

linux (4.9.13-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.11
    - can: Fix kernel panic at security_sock_rcv_skb
    - net/mlx5e: Fix update of hash function/key via ethtool
    - net/sched: matchall: Fix configuration race
    - ipv6: fix ip6_tnl_parse_tlv_enc_lim()
    - ipv6: pointer math error in ip6_tnl_parse_tlv_enc_lim()
    - tcp: fix 0 divide in __tcp_select_window()
    - stmmac: Discard masked flags in interrupt status register
    - net: use a work queue to defer net_disable_timestamp() work
    - netlabel: out of bound access in cipso_v4_validate()
    - ip6_gre: fix ip6gre_err() invalid reads (CVE-2017-5897)
    - ipv6: tcp: add a missing tcp_v6_restore_cb()
    - tcp: avoid infinite loop in tcp_splice_read() (CVE-2017-6214)
    - tun: read vnet_hdr_sz once
    - macvtap: read vnet_hdr_size once
    - rtl8150: Use heap buffers for all register access
    - catc: Combine failure cleanup code in catc_probe()
    - catc: Use heap buffer for memory size test
    - mlx4: Invoke softirqs after napi_reschedule
    - lwtunnel: valid encap attr check should return 0 when lwtunnel
      is disabled
    - sit: fix a double free on error path
    - net: introduce device min_header_len
    - packet: round up linear to header len
    - ping: fix a null pointer dereference
    - net: dsa: Do not destroy invalid network devices
    - l2tp: do not use udp_ioctl()
    - mld: do not remove mld souce list info when set link down
    - igmp, mld: Fix memory leak in igmpv3/mld_del_delrec()
    - tcp: fix mark propagation with fwmark_reflect enabled
    - net/mlx5: Don't unlock fte while still using it
    - tcp: don't annotate mark on control socket from
      tcp_v6_send_response()
    - [x86] fpu/xstate: Fix xcomp_bv in XSAVES header
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.12
    - vfs: fix uninitialized flags in splice_to_pipe()
    - siano: make it work again with CONFIG_VMAP_STACK
    - fuse: fix use after free issue in fuse_dev_do_read()
    - fuse: fix uninitialized flags in pipe_buffer
    - mmc: core: fix multi-bit bus width without high-speed mode
    - [powerpc*/*64*] Disable use of radix under a hypervisor
    - scsi: don't BUG_ON() empty DMA transfers
    - Fix missing sanity check in /dev/sg
    - [x86] Input: elan_i2c - add ELAN0605 to the ACPI table
    - drm/radeon: Use mode h/vdisplay fields to hide out of bounds HW cursor
    - drm/dp/mst: fix kernel oops when turning off secondary monitor
    - futex: Move futex_init() to core_initcall
    - [armel,armhf] 8658/1: uaccess: fix zeroing of 64-bit get_user()
    - Revert "i2c: designware: detect when dynamic tar update is possible"
    - PCI/PME: Restore pcie_pme_driver.remove
    - printk: use rcuidle console tracepoint
    - timekeeping: Use deferred printk() in debug code
    - bcache: Make gc wakeup sane, remove set_task_state()
    - videodev2.h: go back to limited range Y'CbCr for SRGB and, ADOBERGB
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.13
    - net/mlx5e: Disable preemption when doing TC statistics upcall
    - net/llc: avoid BUG_ON() in skb_orphan() (CVE-2017-6345)
    - net: ethernet: ti: cpsw: fix cpsw assignment in resume
      (regression in 4.9)
    - packet: fix races in fanout_add() (CVE-2017-6346)
    - packet: Do not call fanout_release from atomic contexts
      (regression in 4.9)
    - net: neigh: Fix netevent NETEVENT_DELAY_PROBE_TIME_UPDATE notification
    - dccp: fix freeing skb too early for IPV6_RECVPKTINFO (CVE-2017-6074)
    - vxlan: fix oops in dev_fill_metadata_dst (regression in 4.6)
    - irda: Fix lockdep annotations in hashbin_delete(). (CVE-2017-6348)
    - ptr_ring: fix race conditions when resizing
    - ip: fix IP_CHECKSUM handling (regression in 4.0) (CVE-2017-6347)
    - net: socket: fix recvmmsg not returning error from sock_error
      (regression in 4.6)
    - USB: serial: mos7840: fix another NULL-deref at open
    - USB: serial: ftdi_sio: fix modem-status error handling
    - USB: serial: ftdi_sio: fix extreme low-latency setting
    - USB: serial: ftdi_sio: fix line-status over-reporting
    - USB: serial: spcp8x5: fix modem-status handling
    - USB: serial: opticon: fix CTS retrieval at open
    - USB: serial: ark3116: fix register-accessor error handling
    - netfilter: nf_ct_helper: warn when not applying default helper assignment
    - block: fix double-free in the failure path of cgwb_bdi_init()
    - rtlwifi: rtl_usb: Fix for URB leaking when doing ifconfig up/down
    - xfs: clear delalloc and cache on buffered write failure

  [ Ben Hutchings ]
  * [armel] dts: kirkwood: Fix SATA pinmux-ing for TS419 (Closes: #855017)
  * [armhf] Enable DRM_OMAP_PANEL_TPO_TD028TTEC1, PWM_OMAP_DMTIMER as modules
    (Closes: #855472)
  * net: Ignore ABI changes to can_rx_register(), ip6_xmit()
  * net: Avoid ABI change for min_header_len
  * udeb: Add more USB host and dual-role drivers to usb-modules
    (Closes: #856111)
  * [x86] kvm: fix page struct leak in handle_vmon (CVE-2017-2596)


=== debian/control ===
Source: linux-grsec
Section: kernel
Priority: optional
Maintainer: Yves-Alexis Perez <corsac@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper, dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kernel-wedge (>= 2.93~) <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev [linux-any] <!stage1 !pkg.linux.notools cross>, openssl (>= 1.1.0-1~) <!stage1> | openssl:native <!stage1>, asciidoc-base <!stage1 !nodoc !pkg.linux.notools> | asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools !nopython>, flex (>= 2.6.1-1.1~) <!stage1 !pkg.linux.notools !nopython> | flex:native <!stage1 !pkg.linux.notools !nopython>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libelf-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, dh-systemd <!stage1 !pkg.linux.notools>, gcc-4.9 [amd64 i386], gcc-4.9-plugin-dev [amd64 i386] <!stage1>
Build-Depends-Indep: patchutils <!stage1>, python-sphinx <!stage1 !nodoc>, python-sphinx-rtd-theme <!stage1 !nodoc>, xmlto <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/linux-grsec.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/linux-grsec.git

Package: linux-grsec-source-4.9
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.9 with Debian patches
 This package provides source code for the Linux kernel version 4.9. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-grsec-support-4.9.0-2
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.9
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.9.0-2-common-grsec
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.9.0-2-grsec
 This package provides the common kernel header files for Linux kernel
 version 4.9.0-2 with the Grsecurity protection featureset, generally used
 for building out-of-tree kernel modules.  To obtain a complete set of
 headers you also need to install the linux-headers-4.9.0-2-(flavour)
 package, matching the flavour of the kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-image-4.9.0-2-grsec-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, linux-grsec-base [amd64], initramfs-tools (>= 0.120+deb8u2) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}, gradm2 [amd64], paxctl [amd64], attr [amd64]
Suggests: linux-doc-4.9, debian-kernel-handbook, grub-pc [amd64] | grub-efi-amd64 [amd64] | extlinux [amd64]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [amd64], initramfs-tools (<< 0.120+deb8u2)
Description: Linux 4.9 for 64-bit PCs, Grsecurity protection
 The Linux kernel 4.9 and modules for use on PCs with AMD64, Intel 64 or
 VIA Nano processors.
 .
 This kernel includes support for Grsecurity and PaX security hardening
 features
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-2-grsec-amd64
Architecture: amd64
Depends: linux-headers-4.9.0-2-common-grsec (= ${binary:Version}), linux-kbuild-4.9, ${misc:Depends}, gcc-4.9, gcc-4.9-plugin-dev
Description: Header files for Linux 4.9.0-2-grsec-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.9.0-2-grsec-amd64, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.9.0-2-grsec-amd64, and can be used for building
 modules that load into the kernel provided by the
 linux-image-4.9.0-2-grsec-amd64 package.
Build-Profiles: <!stage1>

Package: linux-image-4.9.0-2-grsec-686-pae
Architecture: i386
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, linux-grsec-base [i386], initramfs-tools (>= 0.120+deb8u2) [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, ${kernel:Recommends}, gradm2 [i386], paxctl [i386], attr [i386]
Suggests: linux-doc-4.9, debian-kernel-handbook, grub-pc [i386] | extlinux [i386]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [i386], initramfs-tools (<< 0.120+deb8u2)
Description: Linux 4.9 for modern PCs, Grsecurity protection
 The Linux kernel 4.9 and modules for use on PCs with one or more
 processors supporting PAE.
 .
 This kernel includes support for Grsecurity and PaX security hardening
 features
 .
 This kernel requires PAE (Physical Address Extension). This feature is
 supported by the Intel Pentium Pro/II/III/4/4M/D, Xeon, Core and Atom; AMD
 Geode NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C7; and some other processors.
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-2-grsec-686-pae
Architecture: i386
Depends: linux-headers-4.9.0-2-common-grsec (= ${binary:Version}), linux-kbuild-4.9, ${misc:Depends}, gcc-4.9, gcc-4.9-plugin-dev
Description: Header files for Linux 4.9.0-2-grsec-686-pae
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.9.0-2-grsec-686-pae, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.9.0-2-grsec-686-pae, and can be used for building
 modules that load into the kernel provided by the
 linux-image-4.9.0-2-grsec-686-pae package.
Build-Profiles: <!stage1>

## linux-grsec 4.9.16

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 4
 PATCHLEVEL = 9
-SUBLEVEL = 13
+SUBLEVEL = 16
 EXTRAVERSION =
 NAME = Roaring Lionus

=== debian/changelog ===
linux-grsec (4.9.16-1+grsec201703180820+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Import changes from Héctor Orón Martínez to fix the flex build-deep on
    jessie-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 23 Mar 2017 21:12:36 +0100

linux-grsec (4.9.16-1+grsec201703180820+1) unstable; urgency=medium

  * Pull changes from src:linux up to 4.9.16-1.
  * Update grsecurity patch to 3.1-4.9.16-201703180820.
  * debian/patches:
    - disable debian/amd64-don-t-warn-about-expected-w+x-pages-on-xen,
    bugfix/all/media-dvb-usb-don-t-use-stack-for-firmware-load and
    bugfix/all/media-dvb-usb-don-t-use-stack-for-reset-either (conflict with
    grsecurity)

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 23 Mar 2017 09:51:40 +0100

linux (4.9.16-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.14
    - [mips*] Fix special case in 64 bit IP checksumming.
    - [mips*/octeon] Fix copy_from_user fault handling for large buffers
    - mmc: sdhci-acpi: support deferred probe
    - uvcvideo: Fix a wrong macro
    - media: fix dm1105.c build error
    - lirc_dev: LIRC_{G,S}ET_REC_MODE do not work
    - media: Properly pass through media entity types in entity enumeration
    - ext4: fix deadlock between inline_data and ext4_expand_extra_isize_ea()
    - [x86] ALSA: hda/realtek - Cannot adjust speaker's volume on a Dell AIO
    - [x86] ALSA: hda - fix Lewisburg audio issue
    - ALSA: timer: Reject user params with too small ticks
    - ALSA: ctxfi: Fallback DMA mask to 32bit
    - ALSA: seq: Fix link corruption by event error handling
    - [x86] ALSA: hda - Add subwoofer support for Dell Inspiron 17 7000 Gaming
    - [x86] ALSA: hda - Fix micmute hotkey problem for a lenovo AIO machine
    - hwmon: (it87) Do not overwrite bit 2..6 of pwm control registers
    - hwmon: (it87) Ensure that pwm control cache is current before updating
      values
    - [x86] staging/lustre/lnet: Fix allocation size for sv_cpt_data
    - staging: rtl: fix possible NULL pointer dereference
    - regulator: Fix regulator_summary for deviceless consumers
    - tpm_tis: fix the error handling of init_tis()
    - [x86] iommu/vt-d: Fix some macros that are incorrectly specified in
      intel-iommu
    - [x86] iommu/vt-d: Tylersburg isoch identity map check is done too late.
    - CIFS: Fix splice read for non-cached files
    - [x86] mm, devm_memremap_pages: hold device_hotplug lock over
      mem_hotplug_{begin, done}
    - mm/page_alloc: fix nodes for reclaim in fast path
    - mm: vmpressure: fix sending wrong events on underflow
    - mm: do not access page->mapping directly on page_endio
    - mm balloon: umount balloon_mnt when removing vb device
    - mm, vmscan: cleanup lru size claculations
    - mm, vmscan: consider eligible zones in get_scan_count
    - sigaltstack: support SS_AUTODISARM for CONFIG_COMPAT
    - PM / devfreq: Fix available_governor sysfs
    - PM / devfreq: Fix wrong trans_stat of passive devfreq device
    - dm cache: fix corruption seen when using cache > 2TB
    - dm stats: fix a leaked s->histogram_boundaries array
    - dm round robin: revert "use percpu 'repeat_count' and 'current_path'"
    - dm raid: fix data corruption on reshape request
    - [x86] scsi: storvsc: use tagged SRB requests if supported by the device
    - [x86] scsi: storvsc: properly handle SRB_ERROR when sense message is
      present
    - [x86] scsi: storvsc: properly set residual data length on errors
    - scsi: aacraid: Reorder Adapter status check
    - scsi: use 'scsi_device_from_queue()' for scsi_dh
    - Fix: Disable sys_membarrier when nohz_full is enabled
    - jbd2: don't leak modified metadata buffers on an aborted journal
    - block/loop: fix race between I/O and set_status
    - loop: fix LO_FLAGS_PARTSCAN hang
    - ext4: Include forgotten start block on fallocate insert range
    - ext4: do not polute the extents cache while shifting extents
    - ext4: trim allocation requests to group size
    - ext4: fix data corruption in data=journal mode
    - ext4: fix use-after-iput when fscrypt contexts are inconsistent
    - ext4: fix inline data error paths
    - ext4: preserve the needs_recovery flag when the journal is aborted
    - ext4: return EROFS if device is r/o and journal replay is needed
    - mei: remove support for broken parallel read
    - ath10k: fix boot failure in UTF mode/testmode
    - ath5k: drop bogus warning on drv_set_key with unsupported cipher
    - ath9k: fix race condition in enabling/disabling IRQs
    - ath9k: use correct OTP register offsets for the AR9340 and AR9550
    - [x86] PCI: hv: Fix wslot_to_devfn() to fix warnings on device removal
    - [x86] Drivers: hv: vmbus: Raise retry/wait limits in vmbus_post_msg()
    - perf callchain: Reference count maps
    - crypto: testmgr - Pad aes_ccm_enc_tv_template vector
    - fuse: add missing FR_FORCE
    - [x86] pkeys: Check against max pkey to avoid overflows
    - [armhf,arm64] KVM: Enforce unconditional flush to PoC when mapping to
      stage-2
    - [arm64] dma-mapping: Fix dma_mapping_error() when bypassing SWIOTLB
    - [arm64] fix erroneous __raw_read_system_reg() cases
    - [armhf,arm64] KVM: vgic: Stop injecting the MSI occurrence twice
    - can: gs_usb: Don't use stack memory for USB transfers
    - can: usb_8dev: Fix memory leak of priv->cmd_msg_buffer
    - w1: don't leak refcount on slave attach failure in
      w1_attach_slave_device()
    - w1: ds2490: USB transfer buffers need to be DMAable
    - usb: dwc3: gadget: skip Set/Clear Halt when invalid
    - usb: host: xhci: plat: check hcc_params after add hcd
    - usb: gadget: udc-core: Rescan pending list on driver unbind
    - usb: gadget: f_hid: fix: Free out requests
    - usb: gadget: f_hid: fix: Prevent accessing released memory
    - usb: gadget: f_hid: Use spinlock instead of mutex


## linux-grsec 4.9.18

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 4
 PATCHLEVEL = 9
-SUBLEVEL = 16
+SUBLEVEL = 18
 EXTRAVERSION =
 NAME = Roaring Lionus

=== debian/changelog ===
linux-grsec (4.9.18-1+grsec201703261106+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 31 Mar 2017 10:54:08 +0200

linux-grsec (4.9.18-1+grsec201703261106+1) unstable; urgency=medium

  * Pull changes from src:linux up to 4.9.18-1.
  * Update grsecurity patch to 3.1-4.9.18-201703261106.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 30 Mar 2017 17:15:47 +0200

linux (4.9.18-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.17
    - net/mlx5e: Register/unregister vport representors on interface
      attach/detach
    - net/mlx5e: Do not reduce LRO WQE size when not using build_skb
    - net/mlx5e: Fix wrong CQE decompression
    - vxlan: correctly validate VXLAN ID against VXLAN_N_VID
    - vti6: return GRE_KEY for vti6
    - vxlan: don't allow overwrite of config src addr
    - ipv4: mask tos for input route
    - net sched actions: decrement module reference count after table flush.
    - l2tp: avoid use-after-free caused by l2tp_ip_backlog_recv
    - net: phy: Avoid deadlock during phy_error()
    - vxlan: lock RCU on TX path
    - geneve: lock RCU on TX path
    - tcp/dccp: block BH for SYN processing
    - net: bridge: allow IPv6 when multicast flood is disabled
    - net: don't call strlen() on the user buffer in packet_bind_spkt()
    - net: net_enable_timestamp() can be called from irq contexts
    - ipv6: orphan skbs in reassembly unit
    - dccp: Unlock sock before calling sk_free()
    - strparser: destroy workqueue on module exit
    - tcp: fix various issues for sockets morphing to listen state
    - net: fix socket refcounting in skb_complete_wifi_ack()
    - net: fix socket refcounting in skb_complete_tx_timestamp()
    - net/sched: act_skbmod: remove unneeded rcu_read_unlock in tcf_skbmod_dump
    - dccp: fix use-after-free in dccp_feat_activate_values
    - vrf: Fix use-after-free in vrf_xmit
    - net/tunnel: set inner protocol in network gro hooks
    - act_connmark: avoid crashing on malformed nlattrs with null parms
    - mpls: Send route delete notifications when router module is unloaded
    - mpls: Do not decrement alive counter for unregister events
    - ipv6: make ECMP route replacement less greedy
    - ipv6: avoid write to a possibly cloned skb
    - bridge: drop netfilter fake rtable unconditionally
    - dccp/tcp: fix routing redirect race
    - tun: fix premature POLLOUT notification on tun devices
    - dccp: fix memory leak during tear-down of unsuccessful connection request
    - bpf: Detect identical PTR_TO_MAP_VALUE_OR_NULL registers
    - bpf: fix state equivalence
    - bpf: fix regression on verifier pruning wrt map lookups
    - bpf: fix mark_reg_unknown_value for spilled regs on map value marking
    - dmaengine: iota: ioat_alloc_chan_resources should not perform sleeping
      allocations.
    - xen: do not re-use pirq number cached in pci device msi msg data
    - igb: Workaround for igb i210 firmware issue
    - igb: add i211 to i210 PHY workaround
    - [x86] hyperv: Handle unknown NMIs on one CPU when unknown_nmi_panic
    - PCI: Separate VF BAR updates from standard BAR updates
    - PCI: Remove pci_resource_bar() and pci_iov_resource_bar()
    - PCI: Decouple IORESOURCE_ROM_ENABLE and PCI_ROM_ADDRESS_ENABLE
    - PCI: Don't update VF BARs while VF memory space is enabled
    - PCI: Update BARs using property bits appropriate for type
    - PCI: Ignore BAR updates on virtual functions
    - PCI: Do any VF BAR updates before enabling the BARs
    - [powerpc*] ibmveth: calculate gso_segs for large packets
    - [x86] Drivers: hv: ring_buffer: count on wrap around mappings in
      get_next_pkt_raw() (v2)
    - vfio/spapr: Postpone allocation of userspace version of TCE table
    - [powerpc*] iommu: Stop using @current in mm_iommu_xxx
    - [powerpc*] vfio/spapr: Reference mm in tce_container
    - [powerpc*] mm/iommu, vfio/spapr: Put pages on VFIO container shutdown
    - [powerpc*] vfio/spapr: Add a helper to create default DMA window
    - [powerpc*] vfio/spapr: Postpone default window creation
    - drm/nouveau/disp/gp102: fix cursor/overlay immediate channel indices
    - drm/nouveau/disp/nv50-: split chid into chid.ctrl and chid.user
    - drm/nouveau/disp/nv50-: specify ctrl/user separately when constructing
      classes
    - block: allow WRITE_SAME commands with the SG_IO ioctl
    - [s390x] zcrypt: Introduce CEX6 toleration
    - uvcvideo: uvc_scan_fallback() for webcams with broken chain
    - [x86] ACPI / blacklist: add _REV quirks for Dell Precision 5520 and 3520
    - [x86] ACPI / blacklist: Make Dell Latitude 3350 ethernet work
    - serial: 8250_pci: Detach low-level driver during PCI error recovery
    - [armhf] clk: bcm2835: Fix ->fixed_divider of pllh_aux
    - [armhf] drm/vc4: Fix race between page flip completion event and clean-up
    - [armhf] drm/vc4: Fix ->clock_select setting for the VEC encoder
    - [arm64] KVM: VHE: Clear HCR_TGE when invalidating guest TLBs
    - [armhf,arm64] irqchip/gicv3-its: Add workaround for QDF2400 ITS erratum
      0065
    - [x86] tsc: Fix ART for TSC_KNOWN_FREQ
    - [x86] perf: Fix CR4.PCE propagation to use active_mm instead of mm
    - futex: Fix potential use-after-free in FUTEX_REQUEUE_PI
    - futex: Add missing error handling to FUTEX_REQUEUE_PI
    - locking/rwsem: Fix down_write_killable() for
      CONFIG_RWSEM_GENERIC_SPINLOCK=y
    - [powerpc*] crypto: Fix initialisation of crc32c context
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.18
    - [armhf] drm/vc4: Fix termination of the initial scan for branch targets.
    - [armhf] drm/vc4: Use runtime autosuspend to avoid thrashing V3D power
      state.
    - qla2xxx: Fix memory leak for abts processing
    - qla2xxx: Fix request queue corruption.
    - [hppa] Optimize flush_kernel_vmap_range and invalidate_kernel_vmap_range


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Yves-Alexis Perez <corsac@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper, dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kernel-wedge (>= 2.93~) <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev [linux-any] <!stage1 !pkg.linux.notools cross>, openssl (>= 1.1.0-1~) <!stage1> | openssl:native <!stage1>, asciidoc-base <!stage1 !nodoc !pkg.linux.notools> | asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools !nopython>, flex (>= 2.6.1-1.1~) <!stage1 !pkg.linux.notools !nopython> | flex:native <!stage1 !pkg.linux.notools !nopython>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libelf-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, dh-systemd <!stage1 !pkg.linux.notools>, gcc-4.9 [amd64 i386], gcc-4.9-plugin-dev [amd64 i386] <!stage1>
+Build-Depends: debhelper, dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kernel-wedge (>= 2.93~) <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev [linux-any] <!stage1 !pkg.linux.notools cross>, openssl (>= 1.1.0-1~) <!stage1> | openssl:native <!stage1>, asciidoc-base <!stage1 !nodoc !pkg.linux.notools> | asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools !nopython>, flex <!stage1 !pkg.linux.notools !nopython>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libelf-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, dh-systemd <!stage1 !pkg.linux.notools>, gcc-4.9 [amd64 i386], gcc-4.9-plugin-dev [amd64 i386] <!stage1>
 Build-Depends-Indep: patchutils <!stage1>, python-sphinx <!stage1 !nodoc>, python-sphinx-rtd-theme <!stage1 !nodoc>, xmlto <!stage1 !nodoc>
 Homepage: https://www.kernel.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/linux-grsec.git

=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.9.0-2-grsec-amd64 [amd64], linux-image-4.9.0-2-grsec-686-pae [i386]
Classes: smp

## linux-grsec 4.9.51

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 4
 PATCHLEVEL = 9
-SUBLEVEL = 18
+SUBLEVEL = 51
 EXTRAVERSION =
 NAME = Roaring Lionus
 
@@ -370,7 +370,7 @@
 CFLAGS_KERNEL	=
 AFLAGS_KERNEL	=
 LDFLAGS_vmlinux =
-CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im -Wno-maybe-uninitialized
+CFLAGS_GCOV	:= -fprofile-arcs -ftest-coverage -fno-tree-loop-im $(call cc-disable-warning,maybe-uninitialized,)
 CFLAGS_KCOV	:= $(call cc-option,-fsanitize-coverage=trace-pc,)

=== debian/changelog ===
linux-grsec (4.9.51-1+grsecunoff2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * debian/lib/python/debian_linux/debian.py: handle stretch-backport
    numbering scheme.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 11 Oct 2017 10:49:04 +0200

linux-grsec (4.9.51-1+grsecunoff2) unstable; urgency=medium

  [ Ben Hutchings ]
  * debian/source/lintian-overrides: Override license-problem-gfdl-invariants
    error triggered by a ReSTified copy of the GFDL

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 03 Oct 2017 13:13:01 +0200

linux-grsec (4.9.51-1+grsecunoff1) unstable; urgency=medium

  * Pull changes from src:linux up to 4.9.51-1.
  * grsec/gen-patch:
    - update to generate patch from a local git repository with Mathias Krause
    grsec-unofficial tree (https://github.com/minipli/linux-unofficial_grsec)
  * Update grsecurity patch to the unofficial version maintained by Mathias
    Krause.
  * featureset-grsec/config: update long description to make it clear we are
    using the unofficial patch, unrelated to the private patch.
  * debian/lib/python/debian_linux/debian.py: handle new versioning scheme.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 03 Oct 2017 10:59:32 +0200

linux (4.9.51-1) stretch; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.48
    - [x86] i2c: ismt: Don't duplicate the receive length for block reads
    - [x86] i2c: ismt: Return EMSGSIZE for block reads with bogus length
    - crypto: algif_skcipher - only call put_page on referenced and used pages
    - mm, uprobes: fix multiple free of ->uprobes_state.xol_area
    - mm, madvise: ensure poisoned pages are removed from per-cpu lists
    - ceph: fix readpage from fscache
    - cpumask: fix spurious cpumask_of_node() on non-NUMA multi-node configs
    - cpuset: Fix incorrect memory_pressure control file mapping
    - CIFS: Fix maximum SMB2 header size
    - lib/mpi: kunmap after finishing accessing buffer
    - drm/ttm: Fix accounting error when fail to get pages for pool
    - [armhf,arm64] kvm: Force reading uncached stage2 PGD
    - epoll: fix race between ep_poll_callback(POLLFREE) and
      ep_free()/ep_remove()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.49
    - usb:xhci:Fix regression when ATI chipsets detected
    - [armhf] USB: musb: fix external abort on suspend
    - USB: core: Avoid race of async_completed() w/ usbdev_release()
    - [x86] staging/rts5208: fix incorrect shift to extract upper nybble
    - driver core: bus: Fix a potential double free
    - ath10k: fix memory leak in rx ring buffer allocation
    - Input: trackpoint - assume 3 buttons when buttons detection fails
    - rtlwifi: rtl_pci_probe: Fix fail path of _rtl_pci_find_adapter
    - dlm: avoid double-free on error path in dlm_device_{register,unregister}
    - mwifiex: correct channel stat buffer overflows
    - [s390x] mm: avoid empty zero pages for KVM guests to avoid postcopy hangs
    - drm/nouveau/pci/msi: disable MSI on big-endian platforms by default
    - scsi: sg: protect against races between mmap() and SG_SET_RESERVED_SIZE
    - scsi: sg: recheck MMAP_IO request length with lock held
    - [arm64] drm/bridge: adv7511: Use work_struct to defer hotplug handing to
      out of irq context
    - [arm64] drm/bridge: adv7511: Switch to using
      drm_kms_helper_hotplug_event()
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.50
    - [armhf] mtd: nand: mxc: Fix mxc_v1 ooblayout
    - nvme-fabrics: generate spec-compliant UUID NQNs
    - btrfs: resume qgroup rescan on rw remount
    - mm/memory.c: fix mem_cgroup_oom_disable() call missing
    - ALSA: msnd: Optimize / harden DSP and MIDI loops
    - [arm64] dts: marvell: armada-37xx: Fix GIC maintenance interrupt
    - [armhf] 8692/1: mm: abort uaccess retries upon fatal signal
    - NFS: Fix 2 use after free issues in the I/O code
    - NFS: Sync the correct byte range during synchronous writes
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.51
    - ipv6: accept 64k - 1 packet length in ip6_find_1stfragopt()
    - ipv6: add rcu grace period before freeing fib6_node
    - macsec: add genl family module alias
    - udp: on peeking bad csum, drop packets even if not at head
    - qlge: avoid memcpy buffer overflow
    - [x86] netvsc: fix deadlock betwen link status and removal
    - cxgb4: Fix stack out-of-bounds read due to wrong size to t4_record_mbox()
    - kcm: do not attach PF_KCM sockets to avoid deadlock
    - Revert "net: phy: Correctly process PHY_HALTED in phy_stop_machine()"
    - bridge: switchdev: Clear forward mark when transmitting packet
    - Revert "net: use lib/percpu_counter API for fragmentation mem accounting"
    - Revert "net: fix percpu memory leaks"
    - gianfar: Fix Tx flow control deactivation
    - vhost_net: correctly check tx avail during rx busy polling
    - ip6_gre: update mtu properly in ip6gre_err
    - ipv6: fix memory leak with multiple tables during netns destruction
    - ipv6: fix typo in fib6_net_exit()
    - sctp: fix missing wake ups in some situations
    - ip_tunnel: fix setting ttl and tos value in collect_md mode
    - f2fs: let fill_super handle roll-forward errors
    - f2fs: check hot_data for roll-forward recovery
    - [amd64] fsgsbase: Fully initialize FS and GS state in start_thread_common
    - [amd64] fsgsbase: Report FSBASE and GSBASE correctly in core dumps
    - [amd64] switch_to: Rewrite FS/GS switching yet again to fix AMD CPUs
    - xfs: fix spurious spin_is_locked() assert failures on non-smp kernels
    - xfs: push buffer of flush locked dquot to avoid quotacheck deadlock
    - xfs: try to avoid blowing out the transaction reservation when bunmaping
      a shared extent
    - xfs: release bli from transaction properly on fs shutdown
    - xfs: remove bli from AIL before release on transaction abort
    - xfs: don't allow bmap on rt files
